%define        srcver  %(echo %version | sed -e "s,\\.\\([0-9]*\\)$,-\\1,")

Name:          dcfldd
Version:       1.9.1
Release:       1mamba
Summary:       An enhanced version of GNU dd with features useful for forensics and security
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           https://dcfldd.sourceforge.net/
Source:        https://github.com/resurrecting-open-source-projects/dcfldd.git/v%{version}/dcfldd-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
dcfldd is an enhanced version of GNU dd with features useful for forensics and security.

Based on the dd program found in the GNU Coreutils package, dcfldd has the following additional features:
* Hashing on-the-fly - dcfldd can hash the input data as it is being transferred, helping to ensure data integrity.
* Status output - dcfldd can update the user of its progress in terms of the amount of data transferred and how much longer operation will take.
* Flexible disk wipes - dcfldd can be used to wipe disks quickly and with a known pattern if desired.
* Image/wipe Verify - dcfldd can verify that a target drive is a bit-for-bit match of the specified input file or pattern.
* Multiple outputs - dcfldd can output to multiple files or disks at the same time.
* Split output - dcfldd can split output to multiple files with more configurability than the split command.
* Piped output and logs - dcfldd can send all its log data and output to commands as well as files natively.

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/dcfldd
%{_mandir}/man?/*
%doc AUTHORS COPYING ChangeLog README

%changelog
* Wed Apr 26 2023 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Thu Feb 09 2023 Automatic Build System <autodist@mambasoft.it> 1.9-1mamba
- automatic version update by autodist

* Tue Oct 18 2022 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- automatic version update by autodist

* Wed Aug 18 2021 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Wed Feb 12 2020 Automatic Build System <autodist@mambasoft.it> 1.7-1mamba
- automatic version update by autodist

* Wed Jan 15 2020 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic version update by autodist

* Fri Nov 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-1mamba
- update to 1.5

* Mon Jun 25 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.3.4.1-1mamba
- package created by autospec
